<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Hash;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class EmpController extends Controller
{
    use AuthenticatesUsers;
    protected $redirectTo = '/dashboard';
    protected function create(Request $request)
    {
       $this->validate($request, [
           'name'=>'required|string|max:255','lastname'=>'required|string|max:255','email'=>'required|string|email|max:255|unique:users','password' => 'required|string|min:6',
           'city'=>'required|numeric','designation' => 'required|string|max:255', 
           'head' => 'required|numeric','role' => 'required|string|max:255',
       ]);
       $user=User::create([
            'company_id' =>Auth::user()->company_id,'firstname' =>$request->get('name'),'lastname' =>$request->get('lastname'),'email' =>$request->get('email'),
           'password' => Hash::make($request->get('password')),
           'offices_id' =>$request->get('city'), 'jobtitle' =>$request->get('designation'),
           'managerid' =>$request->get('head'),  'role_id' =>$request->get('role'),   
                 ]);
        return redirect('Company-Profile');
    }
    protected function update(Request $request)
    {
       $this->validate($request, ['id'=>'required|numeric',
           'name'=>'required|string|max:255','designation' => 'required|string|max:255', 'city'=>'required|numeric',
           'head' => 'required|numeric','role' => 'required|string|max:255',
       ]);
       $user=User::where('id',$request->get('id'))->update([
            'name' =>$request->get('name'), 'jobtitle' =>$request->get('designation'),'costcentreid' =>$request->get('city'),
           'managerid' =>$request->get('head'),  'u_rolecode' =>$request->get('role'),   
                 ]);
        return redirect('employees');
    }
    }
    

    //

