<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\crm;
use App\stage;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class NewLeadController extends Controller
{
    
    use AuthenticatesUsers;
    protected $redirectTo = '/dashboard';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
 

 protected function create(Request $request)
    {
       $this->validate($request, [
           'projectname'=>'required|string|max:255','customer'=>'required|string|max:255','source'=>'required|string|max:255',
           'owner'=>'required|string|max:255','stage' => 'required|string|max:255', 
           'amount' => 'nullable|numeric',
           'deadline' => 'nullable|date','product' => 'required|string|max:255']);
       $stagename= stage::OfCompany(Auth::user()->company_id)->select('stages')->where('id',$request->get('stage'))->first();
       $projectno = NULL;
       if(($stagename->stages)!= 'Lead')
       {$maxprojectno= crm::select('max(projectid)')->groupby('company_id')->having('company_id','=',Auth::user()->company_id);          
   $max= $maxprojectno->max('projectid');
    if ($max <= 0) { $max = 0;
    }$projectno = $max + 1; }
       $crms=crm::create([
            'company_id' =>Auth::user()->company_id,'projectid' =>$projectno,'projectname' =>$request->get('projectname'), 'date' =>date('Y-m-d'),'customer_id' =>$request->get('customer'),
           'contactsource' =>$request->get('source'), 'user_id' =>$request->get('owner'),
           'stages_id' =>$request->get('stage'),  'tcv' =>$request->get('amount'),
           'estcloseate' =>$request->get('deadline'),'product_id' =>$request->get('product'),   
                 ]);
       
        return redirect('Lead');
    
    }protected function update(Request $request)
    {
       $this->validate($request, [
           'id'=>'required|string|max:255','projectname'=>'required|string|max:255','customer'=>'required|string|max:255','source'=>'required|string|max:255',
           'owner'=>'required|string|max:255','stage' => 'required|string|max:255','amount' => 'nullable|numeric',
           'deadline' => 'nullable|date','product' => 'required|string|max:255']);
        $crmdata = crm::select('projectid')->where('id',$request->get('id'))->first();
       $stagename= stage::OfCompany(Auth::user()->company_id)->select('stages')->where('id',$request->get('stage'))->first();
       $projectno = $crmdata->projectid;
       if($projectno==NULL){
           if($stagename->stages!='Lead')
       {$maxprojectno= crm::select('max(projectid)')->groupby('company_id')->having('company_id','=',Auth::user()->company_id);          
   $max= $maxprojectno->max('projectid');
    if ($max <= 0) { $max = 0;
       }$projectno = $max + 1;} }
       crm::where('id',$request->get('id'))->update(['projectid' =>$projectno,'projectname' =>$request->get('projectname'),'customer_id' =>$request->get('customer'),
           'contactsource' =>$request->get('source'), 'user_id' =>$request->get('owner'),
           'stages_id' =>$request->get('stage'),  'tcv' =>$request->get('amount'),
           'estclosedate' =>$request->get('deadline'),'product_id' =>$request->get('product'),   
                 ]);
           return Redirect()->back();
    
    }
    
}