<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
      'role_id','company_id','firstname','lastname', 'email', 'password','jobtitle','offices_id','isdeleted','managerid'
    ];

    public function scopeOfCompany($query, $type)
    {
        return $query->where('users.company_id', $type);
    }
    
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
function crms() {
    return $this->hasMany('App\crm');
}
public function offices()
    {
        return $this->belongsTo('App\office');
    }
  public function roles()
    {
        return $this->belongsTo('App\role');
    }
  public function companies()
    {
        return $this->belongsTo('App\company');
    } 
}